post
https://api.staging.bancocdc.com.br/transactions/p2p/batch/
Route to create a new P2P request using the client's unique bank account code
The
external_codefield is generated by the partner and must be uniqueThis code should be used as a conciliation tool to link the transaction to the batch item
Webhooks
The P2P batch will dispatch 3 webhook types:
- P2P Batch Item Success - For when a transaction is completed
- P2P Batch Item Error - For when a transaction fails
- P2P Batch Movement - For when a batch is fully processed
Response parameters
| Parameters | Format | Description |
|---|---|---|
| return | Boolean | Response status (true/false) |
| message | String | Response message |
| code | String | Batch request unique code |
| original_size | Integer | Batch's original size |
| qty_created | Integer | Amount of items that were requested with success |
| qty_errors | Integer | Amount of items that were rejected |
| total_value | Float | Sum value of all the transactions |
| errors | Array of Objects | Array with info about the items that were rejected |
| return | Boolean | Response status (true/false) |
| message | String | Error message |
| transaction | Object | Object with the original transaction info |
| receiver_account | String | Receiver account |
| origin_account | String | Origin account |
| amount | Float | Item value |